<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Profile extends CI_Controller {

    /**
     * Index Page for this controller.
     *
     * Maps to the following URL
     * 		http://example.com/index.php/welcome
     *	- or -
     * 		http://example.com/index.php/welcome/index
     *	- or -
     * Since this controller is set as the default controller in
     * config/routes.php, it's displayed at http://example.com/
     *
     * So any other public methods not prefixed with an underscore will
     * map to /index.php/welcome/<method_name>
     * @see https://codeigniter.com/user_guide/general/urls.html
     */
    public function __construct()
    {
        parent::__construct();
        $this->load->library('session');
        if(!isset($_SESSION['admin'])){redirect('admin/Login');}
    }



    public function index()
    {
        $this->load->view('admin/header');
        $this->load->view('admin/profile');
        $this->load->view('admin/footer');
    }

    public function update(){
        $name = $this->input->post('name');
        $email = $this->input->post('email');
        $password = $this->input->post('password');
        $data = array(
                'name'=>$name,
                'email'=>$email,
                'password'=>$password,
        );

        $qu = $this->db->update('users', $data);
        if($qu){
            $this->session->set_flashdata("success"," Profile Updated.");
            redirect('admin/Profile');
        }
    }
}
